package org.dbxml.xml;

/*
 * dbXML License, Version 1.0
 *
 *
 * Copyright (c) 1999-2001 The dbXML Group, L.L.C.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *       "This product includes software developed by
 *        The dbXML Group (http://www.dbxml.com/)."
 *    Alternately, this acknowledgment may appear in the software
 *    itself, if and wherever such third-party acknowledgments normally
 *    appear.
 *
 * 4. The names "dbXML" and "The dbXML Group" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For written permission, please contact
 *    info@dbxml.com.
 *
 * 5. Products derived from this software may not be called "dbXML",
 *    nor may "dbXML" appear in their name, without prior written
 *    permission of The dbXML Group.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE DBXML GROUP OR ITS CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: Signatures.java,v 1.5 2001/05/23 00:36:07 tom Exp $
 */

/**
 * Signatures defines identifying values for the types that the dbXML DOM
 * recognizes.
 */

public interface Signatures {
   static final int Unknown = -1;

   static final int False = 0x0;
   static final int True = 0x1;

   static final int NoContent = 0x0;
   static final int IntContent = 0x1;
   static final int ShortContent = 0x2;
   static final int ByteContent = 0x3;

   static final int Char = 0x0;
   static final int Elem = 0x1;
   static final int Proc = 0x2;
   static final int Decl = 0x3;

   static final int CharText = 0x0;
   static final int CharEntity = 0x1;

   static final int EntUnknown = 0x0;  // This should not happen
   static final int EntDefined = 0x1;  // Symbol_ID attached
   static final int EntAmp = 0x2;      // &amp;
   static final int EntLt = 0x3;       // &lt;
   static final int EntGt = 0x4;       // &gt;
   static final int EntQuot = 0x5;     // &quot;
   static final int EntApos = 0x6;     // &apos;
   static final int EntUnicode = 0x1F; // &#x...;

   static final int DeclElement = 0x1;
   static final int DeclAttList = 0x2;
   static final int DeclCData = 0x4;
   static final int DeclReplaced = 0x5;
   static final int DeclEntity = 0x6;
   static final int DeclComment = 0x8;
   static final int DeclDocType = 0xA;
   static final int DeclNotation = 0xC;
   static final int DeclIgnore = 0xE;
   static final int DeclInclude = 0xF;
}
